Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Interface Message

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AggregationMessage, GlacierMessage, MultiringRegrTest.MultiringTestMessage, MyMsg, PastMessage, ReminderMessage, ReplicationMessage, RingMessage, ScribeMessage, TimeoutMessage

public interface Message
extends java.io.Serializable

Version:
  $Id: Message.java,v 1.5 2005/03/11 00:58:02 jeffh Exp $
Author:
  Alan Mislove, Peter Druschel

Field Summary
`static int` | `HIGH_PRIORITY` DESCRIBE THE FIELD
`static int` | `LOW_PRIORITY` DESCRIBE THE FIELD
`static int` | `MEDIUM_HIGH_PRIORITY` DESCRIBE THE FIELD
`static int` | `MEDIUM_LOW_PRIORITY` DESCRIBE THE FIELD
`static int` | `MEDIUM_PRIORITY` DESCRIBE THE FIELD

Method Summary
`int` | `getPriority()` Method which should return the priority level of this message.

Field Detail

### HIGH_PRIORITY

    public static final int HIGH_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_HIGH_PRIORITY

    public static final int MEDIUM_HIGH_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_PRIORITY

    public static final int MEDIUM_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### MEDIUM_LOW_PRIORITY

    public static final int MEDIUM_LOW_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### LOW_PRIORITY

    public static final int LOW_PRIORITY

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Method Detail

### getPriority

    public int getPriority()

  Method which should return the priority level of this message. The messages can range in priority from 0 (highest priority) to Integer.MAX_VALUE (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Returns:
    This message's priority

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.